Subject: Re: [PATCH net-next v6 0/6] TLS read_sock performance scalability

From: Jakub Kicinski <[email-masked]>
Date: Fri, 27 Mar 2026 17:26:07 -0700

On Fri, 27 Mar 2026 09:35:09 -0400 Chuck Lever wrote:
> On Thu, Mar 26, 2026, at 8:54 PM, Jakub Kicinski wrote:
> > On Thu, 26 Mar 2026 09:50:45 -0400 Chuck Lever wrote:  
> >> I'd like to encourage in-kernel kTLS consumers (i.e., NFS and
> >> NVMe/TCP) to coalesce on the use of read_sock. When I suggested
> >> this to Hannes, he reported a number of nagging performance
> >> scalability issues with read_sock. This series is an attempt to
> >> run these issues down and get them fixed before we convert the
> >> above sock_recvmsg consumers over to read_sock.
> >> 
> >> Batch async decryption and its submit/deliver scaffolding were
> >> dropped from this series because async_capable is always false
> >> for TLS 1.3, which NFS and NVMe/TCP both require. Async crypto
> >> support for TLS 1.3 is a prerequisite for revisiting that work.  
> >
> > Please repost the remaining 5 patches  
> 
> To make sure I understand your request, do you mean the TLS-related
> patches that are pre-requisites for Alistair's KeyUpdate series?

Oh, no, sorry, we merged patch 1 as a Fix and shipped it to Linus.
I meant to ask for you to fetch net-next, rebase and repost.
Patch 1 should "disappear" (unless I messed something up)